## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/%{name}/%{name}
%global tag %{version}

Name:       labwc
Version:    0.7.0
Release:    %autorelease
Summary:    Openbox alternative for Wayland

%forgemeta

License:    GPL-2.0-only
URL:        %{forgeurl}
Source0:    %{forgesource}

# Backport pipemenus support
Patch0:     https://github.com/labwc/labwc/pull/1216.patch#/labwc-PR1216.patch

BuildRequires: gcc
BuildRequires: meson >= 0.59.0

BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libinput) >= 1.14
BuildRequires: pkgconfig(librsvg-2.0) >= 2.46
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pangocairo)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(scdoc)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-server) >= 0.19.0
BuildRequires: (pkgconfig(wlroots) >= 0.17.0 with pkgconfig(wlroots) < 0.18.0)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xkbcommon)

Requires:   xorg-x11-server-Xwayland
Requires:   xdg-desktop-portal-wlr

# Upstream recommendations
# https://github.com/labwc/labwc#6-integration
Recommends: bemenu                      %dnl # Launchers
Recommends: swaylock                    %dnl # Screen locker
Suggests:   fuzzel wofi                 %dnl # Launchers
Suggests:   grim                        %dnl # Screen-shooter
Suggests:   kanshi wlr-randr            %dnl # Output managers
Suggests:   swaybg                      %dnl # Background image
Suggests:   lavalauncher waybar yambar  %dnl # Panel

# Downstream usefull stuff which already packaged in Fedora
Suggests:   wdisplays                   %dnl # GUI display configurator for wlroots compositors


%description
Labwc stands for Lab Wayland Compositor, where lab can mean any of the
following:

  * sense of experimentation and treading new ground
  * inspired by BunsenLabs and ArchLabs
  * your favorite pet

Labwc is a wlroots-based window-stacking compositor for wayland, inspired by
openbox.

It is light-weight and independent with a focus on simply stacking windows
well and rendering some window decorations. It takes a no-bling/frills
approach and says no to features such as icons (except window buttons),
animations, decorative gradients and any other options not required to
reasonably render common themes. It relies on clients for panels, screenshots,
wallpapers and so on to create a full desktop environment.

Labwc tries to stay in keeping with wlroots and sway in terms of general
approach and coding style.

Labwc has no reliance on any particular Desktop Environment, Desktop Shell or
session. Nor does it depend on any UI toolkits such as Qt or GTK.


%prep
%forgeautosetup -p1


%build
%meson \
    -Dxwayland=enabled \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%license LICENSE
%doc NEWS.md
%{_bindir}/%{name}
%{_datadir}/wayland-sessions/%{name}.desktop
%{_docdir}/%{name}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*


%changelog
* Fri Dec 22 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0 and add patch for pipemenus support

* Sun Nov 26 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.6-1
- [packit] 0.6.6 upstream release

* Sun Nov 26 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-7
- packit: Update config

* Fri Nov 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-6
- build: Add xorg-x11-server-Xwayland dep (rh#2249099)

* Thu Oct 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-5
- build: Update forge macros

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-4
- build: Remove downstream .desktop file

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-3
- build: Add Packit config

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-2
- build: Use forge macros

* Sat Sep 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.5-1
- build: Update to 0.6.5

* Sat Sep 23 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.4-3
- license: Convert to SPDX

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.4-1
- chore: Update to 0.6.4

* Mon May 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.3-1
- chore: Update to 0.6.3

* Tue Mar 21 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- build: Update to 0.6.2

* Mon Jan 30 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- build: Update to 0.6.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- build: Update to 0.6.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.3-1
- chore(update): 0.5.3

* Fri Jun 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- chore(update): 0.5.2

* Wed Feb 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-2
- build: Add weak dep 'swaylock'

* Mon Feb 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- chore(update): 0.5.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- chore(update): 0.4.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- build(update): 0.3.0

* Mon Apr 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- build(update): 0.2.1

* Fri Apr 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- build(update): 0.2.0

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-3
- build: Convert Recommends deps into Suggests

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-2
- feat: Add session file for DM

* Sun Mar 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-1
- Initial package

